aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2020-09-11 02:39:17 -0300
committerLeo <thinkabit.ukim@gmail.com>2020-09-13 08:04:24 +0000
commitb4ced485aff81404ecdefbcea76599cb59035cce (patch)
tree570f279d13431d77588f9431f77da1b1d58d74d1
parent2cb7af8b63cf93f4735cea562347160850803629 (diff)
downloadaports-b4ced485aff81404ecdefbcea76599cb59035cce.tar.gz
aports-b4ced485aff81404ecdefbcea76599cb59035cce.tar.bz2
aports-b4ced485aff81404ecdefbcea76599cb59035cce.tar.xz
community/*: disable on mips, mips64 and s390x due to polkit
-rw-r--r--community/accountsservice/APKBUILD2
-rw-r--r--community/bolt/APKBUILD2
-rw-r--r--community/colord/APKBUILD2
-rw-r--r--community/cups-pk-helper/APKBUILD2
-rw-r--r--community/flatpak/APKBUILD2
-rw-r--r--community/gparted/APKBUILD2
-rw-r--r--community/lxpolkit/APKBUILD2
-rw-r--r--community/lxsession/APKBUILD2
-rw-r--r--community/mate-polkit/APKBUILD2
-rw-r--r--community/modemmanager/APKBUILD2
-rw-r--r--community/network-manager-applet/APKBUILD2
-rw-r--r--community/networkmanager-elogind/APKBUILD2
-rw-r--r--community/networkmanager/APKBUILD2
-rw-r--r--community/polkit-gnome/APKBUILD2
-rw-r--r--community/sysprof/APKBUILD2
-rw-r--r--community/udisks/APKBUILD2
-rw-r--r--community/udisks2/APKBUILD2
-rw-r--r--community/upower/APKBUILD2
-rw-r--r--community/xfce-polkit/APKBUILD2
-rw-r--r--community/xfce4-power-manager/APKBUILD2
20 files changed, 20 insertions, 20 deletions
diff --git a/community/accountsservice/APKBUILD b/community/accountsservice/APKBUILD
index 12039bb83d..f7b8b82fa0 100644
--- a/community/accountsservice/APKBUILD
+++ b/community/accountsservice/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=1
pkgdesc="D-Bus interface for user account query and manipulation"
options="!check" # No testsuite
url="https://www.freedesktop.org/software/accountsservice/"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-3.0-or-later"
depends_dev="glib-dev gobject-introspection-dev polkit-dev"
makedepends="
diff --git a/community/bolt/APKBUILD b/community/bolt/APKBUILD
index f615eb09fd..10de3ea234 100644
--- a/community/bolt/APKBUILD
+++ b/community/bolt/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.9
pkgrel=0
pkgdesc="Thunderbolt 3 device manager"
url="https://gitlab.freedesktop.org/bolt/bolt"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="LGPL-2.1-or-later"
makedepends="meson eudev-dev glib-dev polkit-dev asciidoc"
checkdepends="dbus py3-gobject3 bash"
diff --git a/community/colord/APKBUILD b/community/colord/APKBUILD
index befe8ea9eb..b914f4e393 100644
--- a/community/colord/APKBUILD
+++ b/community/colord/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.4.4
pkgrel=6
pkgdesc="System daemon for managing color devices"
url="http://www.freedesktop.org/software/colord"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
pkgusers="colord"
pkggroups="colord"
diff --git a/community/cups-pk-helper/APKBUILD b/community/cups-pk-helper/APKBUILD
index 3dab4b927d..3c71959f68 100644
--- a/community/cups-pk-helper/APKBUILD
+++ b/community/cups-pk-helper/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.2.6
pkgrel=0
pkgdesc="PolicyKit helper to configure cups with fine-grained privileges"
url="https://www.freedesktop.org/wiki/Software/cups-pk-helper/"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
makedepends="glib-dev polkit-dev cups-dev intltool"
subpackages="$pkgname-lang"
diff --git a/community/flatpak/APKBUILD b/community/flatpak/APKBUILD
index 916f4b1092..8905295c5b 100644
--- a/community/flatpak/APKBUILD
+++ b/community/flatpak/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.8.2
pkgrel=0
pkgdesc="Application deployment framework for desktop apps"
url="https://flatpak.org"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="LGPL-2.1-or-later"
depends="bubblewrap xdg-dbus-proxy"
makedepends="glib-dev libarchive-dev libsoup-dev libcap-dev polkit-dev
diff --git a/community/gparted/APKBUILD b/community/gparted/APKBUILD
index 9802515e66..71c03de61f 100644
--- a/community/gparted/APKBUILD
+++ b/community/gparted/APKBUILD
@@ -5,7 +5,7 @@ pkgrel=0
pkgdesc="a graphical partition editor for creating, reorganizing, and deleting disk partitions"
options="!check" # Requires eudev
url="http://gparted.sourceforge.net/"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
depends="e2fsprogs ntfs-3g-progs"
makedepends="gtkmm3-dev parted-dev util-linux-dev intltool polkit-dev"
diff --git a/community/lxpolkit/APKBUILD b/community/lxpolkit/APKBUILD
index 7d77604892..14b2005122 100644
--- a/community/lxpolkit/APKBUILD
+++ b/community/lxpolkit/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.1.0
pkgrel=2
pkgdesc="Simple PolicyKit authentication agent"
url="https://lxde.org/"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
makedepends="gtk+-dev polkit-dev"
subpackages="$pkgname-lang"
diff --git a/community/lxsession/APKBUILD b/community/lxsession/APKBUILD
index 5835a2bcda..0fe119d634 100644
--- a/community/lxsession/APKBUILD
+++ b/community/lxsession/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.5.5
pkgrel=0
pkgdesc="Lightweight X11 session manager"
url="https://wiki.lxde.org/en/LXSession"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
makedepends="gtk+-dev dbus-glib-dev polkit-dev"
subpackages="$pkgname-doc $pkgname-lang"
diff --git a/community/mate-polkit/APKBUILD b/community/mate-polkit/APKBUILD
index 35ef0de965..83f58c9b3c 100644
--- a/community/mate-polkit/APKBUILD
+++ b/community/mate-polkit/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.24.0
pkgrel=0
pkgdesc="MATE Authentication Agent for PolicyKit"
url="https://github.com/mate-desktop/mate-polkit"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
depends="mate-common"
makedepends="polkit-dev libtool intltool gtk+3.0-dev
diff --git a/community/modemmanager/APKBUILD b/community/modemmanager/APKBUILD
index 7dc825912b..85d45823e8 100644
--- a/community/modemmanager/APKBUILD
+++ b/community/modemmanager/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.14.2
pkgrel=0
pkgdesc="ModemManager library"
url="http://www.freedesktop.org/wiki/Software/ModemManager"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later AND LGPL-2.1-or-later"
depends_dev="libmm-glib"
makedepends="$depends_dev gobject-introspection-dev gtk-doc vala
diff --git a/community/network-manager-applet/APKBUILD b/community/network-manager-applet/APKBUILD
index 63d7a83a52..4820e5fe0e 100644
--- a/community/network-manager-applet/APKBUILD
+++ b/community/network-manager-applet/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.18.0
pkgrel=0
pkgdesc="GTK network manager applet"
url="https://wiki.gnome.org/Projects/NetworkManager"
-arch="all !s390x" # Limited by networkmanager-dev
+arch="all !mips !mips64 !s390x" # Limited by networkmanager-dev and polkit
license="GPL-2.0-or-later"
depends="dbus:org.freedesktop.Secrets"
makedepends="
diff --git a/community/networkmanager-elogind/APKBUILD b/community/networkmanager-elogind/APKBUILD
index 2008560b33..28a1074605 100644
--- a/community/networkmanager-elogind/APKBUILD
+++ b/community/networkmanager-elogind/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.26.2
pkgrel=0
pkgdesc="Network Management daemon (with elogind hibernation support)"
url="https://wiki.gnome.org/Projects/NetworkManager"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
depends="iptables dbus mobile-broadband-provider-info openresolv"
install="$pkgname.pre-install $pkgname.pre-upgrade"
diff --git a/community/networkmanager/APKBUILD b/community/networkmanager/APKBUILD
index 56d55415b0..8f198be661 100644
--- a/community/networkmanager/APKBUILD
+++ b/community/networkmanager/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.26.2
pkgrel=0
pkgdesc="Network Management daemon"
url="https://wiki.gnome.org/Projects/NetworkManager"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
depends="iptables dbus mobile-broadband-provider-info"
install="$pkgname.pre-install $pkgname.pre-upgrade"
diff --git a/community/polkit-gnome/APKBUILD b/community/polkit-gnome/APKBUILD
index be32282a8e..c7f50a5f09 100644
--- a/community/polkit-gnome/APKBUILD
+++ b/community/polkit-gnome/APKBUILD
@@ -4,7 +4,7 @@ pkgver=0.105
pkgrel=1
pkgdesc="PolicyKit integration for the GNOME desktop"
url="http://www.freedesktop.org/wiki/Software/PolicyKit"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="LGPL-2.0-or-later"
makedepends="$depends_dev gtk+3.0-dev polkit-dev intltool"
subpackages="$pkgname-lang"
diff --git a/community/sysprof/APKBUILD b/community/sysprof/APKBUILD
index a68a8f9144..e1fbc93c75 100644
--- a/community/sysprof/APKBUILD
+++ b/community/sysprof/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.36.0
pkgrel=0
pkgdesc="System-wide profiler for Linux"
url="http://sysprof.com/"
-arch="all !s390x" # tests failing
+arch="all !mips !mips64 !s390x" # test failing and polkit
license="GPL-2.0-or-later"
depends_dev="$pkgname=$pkgver-r$pkgrel" # sysprof's lib setup is a bit weird...
makedepends="meson gtk+3.0-dev itstool glib-dev polkit-dev elogind-dev
diff --git a/community/udisks/APKBUILD b/community/udisks/APKBUILD
index 5e6ed2c786..6e16ee1d39 100644
--- a/community/udisks/APKBUILD
+++ b/community/udisks/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.0.5
pkgrel=5
pkgdesc="Disk Management Service"
url="http://www.freedesktop.org/wiki/Software/udisks"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
options="!check" # Test suite hardcoded to run 'sudo', wants mountable disks
license="GPL-2.0-or-later"
makedepends="glib-dev polkit-dev parted-dev libgudev-dev sg3_utils-dev
diff --git a/community/udisks2/APKBUILD b/community/udisks2/APKBUILD
index 1d89b61c6d..6d4373b44d 100644
--- a/community/udisks2/APKBUILD
+++ b/community/udisks2/APKBUILD
@@ -7,7 +7,7 @@ pkgrel=0
pkgdesc="A Disk Manager"
options="!check"
url="https://www.freedesktop.org/wiki/Software/udisks/"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
depends="dbus"
depends_dev="gobject-introspection-dev polkit-dev libatasmart-dev
diff --git a/community/upower/APKBUILD b/community/upower/APKBUILD
index 0cfc52df74..dff1755ef3 100644
--- a/community/upower/APKBUILD
+++ b/community/upower/APKBUILD
@@ -5,7 +5,7 @@ _distver="UPOWER_${pkgver//./_}"
pkgrel=0
pkgdesc="Power Management Services"
url="https://upower.freedesktop.org"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
makedepends="linux-headers gtk+-dev libgudev-dev libusb-dev polkit-dev gtk-doc
diff --git a/community/xfce-polkit/APKBUILD b/community/xfce-polkit/APKBUILD
index a06dbafb7d..34451a5d75 100644
--- a/community/xfce-polkit/APKBUILD
+++ b/community/xfce-polkit/APKBUILD
@@ -4,7 +4,7 @@ pkgver=0.3
pkgrel=1
pkgdesc="A simple PolicyKit authentication agent for XFCE"
url="https://github.com/ncopa/xfce-polkit"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-only"
makedepends="libxfce4ui-dev polkit-dev glib-dev gtk+3.0-dev autoconf automake"
source="https://github.com/ncopa/xfce-polkit/releases/download/v$pkgver/xfce-polkit-$pkgver.tar.gz"
diff --git a/community/xfce4-power-manager/APKBUILD b/community/xfce4-power-manager/APKBUILD
index b2f05f6463..5ff88d1265 100644
--- a/community/xfce4-power-manager/APKBUILD
+++ b/community/xfce4-power-manager/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.6.6
pkgrel=0
pkgdesc="Power management for the Xfce desktop environment"
url="https://goodies.xfce.org/projects/applications/xfce4-power-manager"
-arch="all"
+arch="all !mips !mips64 !s390x" # polkit
license="GPL-2.0-or-later"
depends="polkit"
makedepends="xfconf-dev xfce4-panel-dev dbus-glib-dev libnotify-dev